﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Shell.Interop;
using System.Runtime.InteropServices;
using Microsoft.VisualStudio.Data.Schema.Package.Project;

namespace TFDP.Common
{
    /// <summary>
    /// This interface is used by the PropertyBrowserExtender of the TFDP
    /// extension to provide extra properties on items in the database project.
    /// 
    /// Note to implementors: Derive from CommonProperties instead of IExtenderType.
    ///                       The necessary plumbing for the Init method is already
    ///                       implemented there.
    /// </summary>
    [InterfaceType(ComInterfaceType.InterfaceIsDual)]
    public interface IExtenderType
    {
        IDatabaseNode Node { get; set; }
    }
}
