﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TFDP.Common;

namespace TFDP.VsPackage.Services
{
    public class QueueChangedEventArgs : EventArgs
    {
        private IProcessor processor;

        public IProcessor Processor
        {
            get { return processor; }
        }

        public QueueChangedEventArgs(IProcessor processor)
        {
            this.processor = processor;
        }
    }

    public class ProjectClosedEventArgs : EventArgs
    {
        private IProcessor processor;

        public IProcessor Processor
        {
            get { return processor; }
        }

        public ProjectClosedEventArgs(IProcessor processor)
        {
            this.processor = processor;
        }
    }
}
