﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Shell.Interop;
using TFDP.Common;

namespace TFDP.VsPackage.Support
{
    public class RequestFileEditEventArgs : EventArgs
    {
        private IVsHierarchy projectHierarchy;
        private string path;
        private FileEditRequestResult result;

        public IVsHierarchy ProjectHierarchy
        {
            get { return projectHierarchy; }
        }

        public string Path
        {
            get { return this.path; }
        }

        public FileEditRequestResult Result
        {
            get { return this.result; }
            set { this.result = value; }
        }

        public RequestFileEditEventArgs(IVsHierarchy projectHierarchy, string path)
        {
            this.projectHierarchy = projectHierarchy;
            this.path = path;
            this.result = FileEditRequestResult.Empty;
        }
    }
}
