﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Data.Schema.Package.Project;
using System.Runtime.InteropServices;
using Microsoft.Data.Schema.Extensibility;
using Microsoft.Data.Schema;
using TFDP.VsPackage.Forms;

namespace TFDP.VsPackage.Extenders
{
    [DatabaseSchemaProviderCompatibility(typeof(DatabaseSchemaProvider))]
    public sealed class ProjectPropertyPageExtender : IDatabaseProjectFeature, IDatabaseProjectPropertyPageContributor

    {
        private IDatabaseProjectNode projectNode;

        #region IDatabaseProjectFeature Members

        public void Initialize(IDatabaseProjectNode projectNode)
        {
            this.projectNode = projectNode;
        }

        #endregion

        #region IDatabaseProjectPropertyPageContributor Members

        public IEnumerable<IDatabaseProjectPropertyPageDefinition> PropertyPages
        {
            get
            {
                return new List<IDatabaseProjectPropertyPageDefinition>() { new TFDPPropertyPageComClass() };
            }
        }

        #endregion
    }
}
