﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Data.Schema.Package.Project.Internal;
using TFDP.Common;

namespace TFDP.VsPackage.Extenders
{
    public class RequestingExtenderTypeEventArgs : EventArgs
    {
        private uint projectId;
        private IExtenderType extenderType;

        public IExtenderType ExtenderType
        {
            get { return extenderType; }
            set { extenderType = value; }
        }

        public uint ProjectId
        {
            get { return projectId; }
        }

        public RequestingExtenderTypeEventArgs()
            : this(0)
        {
        }

        public RequestingExtenderTypeEventArgs(uint projectId)
        {
            this.projectId = projectId;
        }
    }
}
