﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TFDP.VsPackage.Support
{
    public class NavigationRequestEventArgs : EventArgs
    {
        private string document;
        private int line;
        private int column;

        public NavigationRequestEventArgs(string document, int line, int column)
        {
            this.document = document;
            this.line = line;
            this.column = column;
        }

        public string Document
        {
            get { return document; }
        }

        public int Line
        {
            get { return line; }
        }

        public int Column
        {
            get { return column; }
        }
    }
}
